com.bigdata.counters.render
Class RendererFactory
java.lang.Object
com.bigdata.counters.render.RendererFactory
public class RendererFactory
- extends Object
Factory for IRenderer objects based on a MIME type. For known MIME
types, the factory returns an instance of an IRenderer capable of
rendering for that MIME type. The instance will then decide whether or not it
can render the requested ReportEnum as not all report types can be
rendered for all MIME types. For example, a request for a graph of the event
data will fail if the MIME type is text/plain.
- Version:
- $Id: RendererFactory.java 2265 2009-10-26 12:51:06Z thompsonbry $
- Author:
- Bryan Thompson
| Methods inherited from class java.lang.Object |
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
RendererFactory
public RendererFactory()
get
public static IRenderer get(URLQueryModel model,
ICounterSelector counterSelector,
String defaultMimeType)
- Parameters:
model - Describes the state of the controller (e.g., as parsed from
the URL query parameters).counterSelector - Selects the counters to be rendered.defaultMimeType - The negotiated or default MIME type. This can be overridden
using .
- Returns:
- An
IRenderer for that MIME type.
Copyright © 2006-2009 SYSTAP, LLC. All Rights Reserved.